BSON_ITER_DATE_TIME(3)

SYNOPSIS

            #define BSON_ITER_HOLDS_DATE_TIME(iter) \
               (bson_iter_type ((iter)) == BSON_TYPE_DATE_TIME)

            int64_t
            bson_iter_date_time (const bson_iter_t *iter);

PARAMETERS

    •   iter: A bson_iter_t.

DESCRIPTION

The bson_iter_date_time() function shall return the number of milliseconds since the UNIX epoch, as contained in the BSON_TYPE_DATE_TIME element.

RETURNS

A 64-bit integer containing the number of milliseconds since the UNIX epoch.

AUTHOR
MongoDB, Inc

COPYRIGHT
2017-present, MongoDB, Inc